Get an authorization policy
curl --request GET \
--url https://api.smokeball.com/policies/{reference} \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/policies/{reference}"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/policies/{reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "eb40ac02-383c-49bd-b956-c02cba814215",
"reference": "31a9caa9-4db7-4a0e-8233-d51254975099",
"principalId": "a7922e80-f833-48f0-8250-c00df1ebbc16",
"resourceId": "54171794-5ca3-472b-889a-c03538d8c89a",
"rules": [
{
"principalId": "a7922e80-f833-48f0-8250-c00df1ebbc16",
"resourceId": "matters/69406c65-309d-4e35-a636-ad145e64770a",
"operation": "Access",
"type": 0
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorization
Get an authorization policy
Retrieves a specified authorization policy.
GET
/
policies
/
{reference}
Get an authorization policy
Path Parameters
Response
When request is successful. Returns an authorization 'Policy' object.
Show child attributes
Show child attributes
Unique id of the policy.
Example:
"eb40ac02-383c-49bd-b956-c02cba814215"
Unique reference of the policy.
Example:
"31a9caa9-4db7-4a0e-8233-d51254975099"
Principal id associated to this policy if it is a principal based policy. This can be either a user id or a group id.
This is null if the policy is a resource based policy.
Example:
"a7922e80-f833-48f0-8250-c00df1ebbc16"
Resource id associated to this policy if it is a resource based policy.
This is null if the policy is a principal based policy.
Example:
"54171794-5ca3-472b-889a-c03538d8c89a"
The rules associated to this policy.
Show child attributes
Show child attributes